ru.bitel.bgbilling.kernel.event

## Class PartitionedQueueEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.PartitionedQueueEvent

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    InetDeviceManageEvent, InetSaAccountingEvent, InetSaConnectionCloseEvent, InetSaDeviceInitEvent, InetSaOptionsModifyEvent, InetSaServInitEvent, InetSaServModifyEvent, InetSaStateModifyEvent

      public abstract class PartitionedQueueEvent
      extends QueueEvent

  В отличие от `Event` доставляется только одному слушателю
  Author:
    amir
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `PartitionedQueueEvent()`
    `` | `PartitionedQueueEvent(int moduleId, int contractId, int userId)`
    `` | `PartitionedQueueEvent(int moduleId, int pluginId, int contractId, int userId)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getDestination(java.lang.Class<?> clazz)`
    `static java.lang.String` | `getDestinationMask(java.lang.Class<?> clazz, int partitionValue)`
    `protected abstract java.lang.String` | `getPackageName()`
    `protected abstract int` | `getPartitionValue()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, prepareMessage, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PartitionedQueueEvent

          protected PartitionedQueueEvent()

    - #### PartitionedQueueEvent

          public PartitionedQueueEvent(int moduleId,
                                       int pluginId,
                                       int contractId,
                                       int userId)

    - #### PartitionedQueueEvent

          public PartitionedQueueEvent(int moduleId,
                                       int contractId,
                                       int userId)

  - ### Method Detail

    - #### getPackageName

          protected abstract java.lang.String getPackageName()

    - #### getPartitionValue

          protected abstract int getPartitionValue()

    - #### getDestination

          protected java.lang.String getDestination(java.lang.Class<?> clazz)

      Overrides:
        `getDestination` in class `Event`

    - #### getDestinationMask

          public static final java.lang.String getDestinationMask(java.lang.Class<?> clazz,
                                                                  int partitionValue)